Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.jspbeans
Class PortalAppearanceBean.ColorScheme

    java.lang.Object
      |
      +--com.beasys.portal.jspbeans.PortalAppearanceBean.ColorScheme

Enclosing class:
  PortalAppearanceBean

public class PortalAppearanceBean.ColorScheme
extends java.lang.Object

Color scheme holds a color scheme name, a titlebar color, a banner color, and a portlet content background color.

Constructor Summary
`PortalAppearanceBean.ColorScheme(java.lang.String name, java.lang.String titleBarColor, java.lang.String bannerColor, java.lang.String portletBGColor)` Instantiates the `ColorScheme`.

Method Summary
`java.lang.String` | `getBannerColor()` Retrieves the color scheme banner color.
`java.lang.String` | `getName()` Retrieves the color scheme name.
`java.lang.String` | `getPortletBGColor()` Retrieves the color scheme portlet body background color.
`java.lang.String` | `getTitleBarColor()` Retrieves the color scheme titlebar color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalAppearanceBean.ColorScheme

    public PortalAppearanceBean.ColorScheme(java.lang.String name,
                                            java.lang.String titleBarColor,
                                            java.lang.String bannerColor,
                                            java.lang.String portletBGColor)

  Instantiates the `ColorScheme`.
  Parameters:
    `name` - the scheme name
    `titleBarColor` - the portlet titlebar color
    `bannerColor` - the portlet banner color
    `portletBGColor` - the portlet body background color

Method Detail

### getName

    public java.lang.String getName()

  Retrieves the color scheme name. Used for indexing color schemes.
  Returns:
    `String` the color scheme name

### getTitleBarColor

    public java.lang.String getTitleBarColor()

  Retrieves the color scheme titlebar color.
  Returns:
    `String` the titlebar color

### getBannerColor

    public java.lang.String getBannerColor()

  Retrieves the color scheme banner color.
  Returns:
    `String` the banner color

### getPortletBGColor

    public java.lang.String getPortletBGColor()

  Retrieves the color scheme portlet body background color.
  Returns:
    `String` the portlet body backgrounde color

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved